Outils pour utilisateurs

Outils du site


textgenrnn_install

Installation de textgenrnn

Pour toutes les pages:

Sur un Pc sans carte CUDA avec Debian 10 Buster, textgenrnn demande une version de tensorflow < 2.1.0

Sans GPU

Problème

sudo pip3 install --upgrade https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow_cpu-2.1.0-cp37-cp37m-manylinux2010_x86_64.whl

Mais python3-wrapt est bloqué par debian

sudo pip3 install --upgrade https://storage.googleapis.com/tensorflow/linux
  Attempting uninstall: wrapt
    Found existing installation: wrapt 1.10.11
ERROR: Cannot uninstall 'wrapt'. It is a distutils installed project and thus we cannot accurately determine which files belong to it which would lead to only a partial uninstall.

Solution

Dans synaptic, chercher python3-wrapt, sélectionner le paquet, puis dans Paquet –> Décocher Installé automatiquement, puis le désinstaller. D'autres paquets seront supprimés, pas grave, les réinstaller après la mise à jour de tensorflow et recocher Installé automatiquement.

sudo pip3 install --upgrade pip
Successfully installed pip-20.1.1

sudo pip3 install --upgrade https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow_cpu-2.1.0-cp37-cp37m-manylinux2010_x86_64.whl
sudo pip3 install textgenrnn
sudo pip3 install --upgrade textgenrnn
Installing collected packages: tensorflow-estimator, wrapt, tensorflow, textgenrnn
  Attempting uninstall: tensorflow-estimator
    Found existing installation: tensorflow-estimator 2.1.0
    Uninstalling tensorflow-estimator-2.1.0:
      Successfully uninstalled tensorflow-estimator-2.1.0
  Attempting uninstall: tensorflow
    Found existing installation: tensorflow 1.13.1
    Uninstalling tensorflow-1.13.1:
      Successfully uninstalled tensorflow-1.13.1
Successfully installed tensorflow-2.2.0 tensorflow-estimator-2.2.0 textgenrnn-2.0.0 wrapt-1.12.1

Avec GPU sur Xubuntu 18.04

Et une carte graphique Nvidia 1060GTX. Pour l'installation de CUDA voir Installation de CUDA 10.0 sur Xubuntu 18.04. Mais il faut cuda 10.1 !!

sudo pip3 install --upgrade pip
Successfully installed pip-20.1.1

sudo pip3 install --upgrade tensorflow

Successfully installed astunparse-1.6.3 cachetools-4.1.0 gast-0.3.3 google-auth-1.16.1 google-auth-oauthlib-0.4.1 grpcio-1.29.0 h5py-2.10.0 keras-preprocessing-1.1.2 markdown-3.2.2 oauthlib-3.1.0 opt-einsum-3.2.1 protobuf-3.12.2 pyasn1-0.4.8 pyasn1-modules-0.2.8 requests-2.23.0 requests-oauthlib-1.3.0 rsa-4.0 scipy-1.4.1 setuptools-47.1.1 tensorboard-2.2.2 tensorboard-plugin-wit-1.6.0.post3 tensorflow-2.2.0 tensorflow-estimator-2.2.0 werkzeug-1.0.1 wrapt-1.12.1

sudo pip3 install textgenrnn

Successfully installed joblib-0.15.1 keras-2.3.1 keras-applications-1.0.8 scikit-learn-0.23.1 textgenrnn-2.0.0 threadpoolctl-2.1.0
sudo apt install libcudart9.1 libcublas-11-0 libcufft-11-0 libcurand-11-0 libcusolver-11-0 libcusparse-11-0
textgenrnn_install.txt · Dernière modification: 2020/10/06 09:19 de serge